Chromium Code Reviews
Help | Chromium Project | Sign in
(468)

Issue 12508004: Enabling testing Google Now component extension (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 1 month ago by vadimt
Modified:
1 year, 1 month ago
CC:
chromium-reviews_chromium.org, arv+watch_chromium.org, govind_chromium.org, stromme
Visibility:
Public.

Description

Enabling testing Google Now component extension.

Google Now component extension now can be turned on via chrome://flags. The server name needs to be set manually in JS debugger via local memory.

BUG=164227
TEST=Enable the extension via chrome://flags, set the server via local memory, restart, make sure cards appear. Check this on CrOS and Windows.
When this starts working in Canary, set it up to see cards, wait till next day, update Canary to the next version, make sure cards appear on (1) the first start after the update; (2) following starts.

Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=187341

Patch Set 1 #

Total comments: 12

Patch Set 2 : rgustafson's notes #

Total comments: 7

Patch Set 3 : skare@'s notes #

Patch Set 4 : #

Patch Set 5 : Rebase #

Patch Set 6 : #

Total comments: 2

Patch Set 7 : Removing unnecessary workaround. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -11 lines) Lint Patch
M chrome/app/generated_resources.grd View 1 chunk +7 lines, -0 lines 0 comments ? errors Download
M chrome/browser/about_flags.cc View 1 2 3 4 5 1 chunk +9 lines, -0 lines 0 comments 1 errors Download
M chrome/browser/chrome_browser_main.cc View 1 2 3 4 1 chunk +0 lines, -8 lines 0 comments ? errors Download
M chrome/browser/resources/google_now/background.js View 1 2 3 4 5 6 1 chunk +3 lines, -3 lines 0 comments ? errors Download
Commit:

Messages

Total messages: 15
vadimt
1 year, 1 month ago #1
rgustafson
https://codereview.chromium.org/12508004/diff/1/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/12508004/diff/1/chrome/app/generated_resources.grd#newcode15043 chrome/app/generated_resources.grd:15043: + Enable Google Now intergation integration https://codereview.chromium.org/12508004/diff/1/chrome/app/generated_resources.grd#newcode15046 chrome/app/generated_resources.grd:15046: + ...
1 year, 1 month ago #2
vadimt
https://codereview.chromium.org/12508004/diff/1/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/12508004/diff/1/chrome/app/generated_resources.grd#newcode15043 chrome/app/generated_resources.grd:15043: + Enable Google Now intergation On 2013/03/06 02:51:57, rgustafson ...
1 year, 1 month ago #3
Travis Skare
https://codereview.chromium.org/12508004/diff/6001/chrome/browser/chrome_browser_main.cc File chrome/browser/chrome_browser_main.cc (right): https://codereview.chromium.org/12508004/diff/6001/chrome/browser/chrome_browser_main.cc#newcode1061 chrome/browser/chrome_browser_main.cc:1061: // switches::kEnableGoogleNowIntegration)) { can this block just be removed ...
1 year, 1 month ago #4
vadimt
https://codereview.chromium.org/12508004/diff/6001/chrome/browser/chrome_browser_main.cc File chrome/browser/chrome_browser_main.cc (right): https://codereview.chromium.org/12508004/diff/6001/chrome/browser/chrome_browser_main.cc#newcode1061 chrome/browser/chrome_browser_main.cc:1061: // switches::kEnableGoogleNowIntegration)) { On 2013/03/06 22:08:01, Travis Skare wrote: ...
1 year, 1 month ago #5
rgustafson
lgtm https://codereview.chromium.org/12508004/diff/1/chrome/browser/about_flags.cc File chrome/browser/about_flags.cc (right): https://codereview.chromium.org/12508004/diff/1/chrome/browser/about_flags.cc#newcode1270 chrome/browser/about_flags.cc:1270: kOsDesktop, Thanks. On 2013/03/06 21:44:40, vadimt wrote: > ...
1 year, 1 month ago #6
Travis Skare
https://codereview.chromium.org/12508004/diff/6001/chrome/browser/chrome_browser_main.cc File chrome/browser/chrome_browser_main.cc (right): https://codereview.chromium.org/12508004/diff/6001/chrome/browser/chrome_browser_main.cc#newcode1061 chrome/browser/chrome_browser_main.cc:1061: // switches::kEnableGoogleNowIntegration)) { 1) consider an actual bug for ...
1 year, 1 month ago #7
vadimt
https://codereview.chromium.org/12508004/diff/6001/chrome/browser/chrome_browser_main.cc File chrome/browser/chrome_browser_main.cc (right): https://codereview.chromium.org/12508004/diff/6001/chrome/browser/chrome_browser_main.cc#newcode1061 chrome/browser/chrome_browser_main.cc:1061: // switches::kEnableGoogleNowIntegration)) { On 2013/03/07 00:56:39, Travis Skare wrote: ...
1 year, 1 month ago #8
Travis Skare
lgtm great, thanks for removing that block
1 year, 1 month ago #9
vadimt
Please provide owners' approvals: sky@: *.cc; *.grd arv@: *.js NOTE: The CL also fixed a ...
1 year, 1 month ago #10
sky
LGTM
1 year, 1 month ago #11
arv
LGTM with nit https://codereview.chromium.org/12508004/diff/30001/chrome/browser/resources/google_now/background.js File chrome/browser/resources/google_now/background.js (right): https://codereview.chromium.org/12508004/diff/30001/chrome/browser/resources/google_now/background.js#newcode111 chrome/browser/resources/google_now/background.js:111: if (items.activeNotifications.hasOwnProperty(notificationId) && Does it matter ...
1 year, 1 month ago #12
vadimt
https://codereview.chromium.org/12508004/diff/30001/chrome/browser/resources/google_now/background.js File chrome/browser/resources/google_now/background.js (right): https://codereview.chromium.org/12508004/diff/30001/chrome/browser/resources/google_now/background.js#newcode111 chrome/browser/resources/google_now/background.js:111: if (items.activeNotifications.hasOwnProperty(notificationId) && On 2013/03/11 16:04:21, arv wrote: > ...
1 year, 1 month ago #13
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/vadimt@chromium.org/12508004/11006
1 year, 1 month ago #14
I haz the power (commit-bot)
1 year, 1 month ago #15
Message was sent while issue was closed.
Change committed as 187341
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1280:2d3e6564b7b6